<?php declare(strict_types=1);

require __DIR__ . '/../vendor/autoload.php';

use JTL\Helpers\URL;
use PunchCommerce\AuthenticatePunchCommerceRequest;

/** @global \JTL\Smarty\JTLSmarty $smarty */
/** @global JTL\Plugin\PluginInterface $plugin */

try {
    $config = $plugin->getConfig();
    $authenticate = new AuthenticatePunchCommerceRequest();
    $success = $authenticate($config);
    if ($success) {
        $linkHelper = Shop::Container()->getLinkService();
        $link = $linkHelper->getSpecialPage(LINKTYP_STARTSEITE);
        $link->setRedirectCode(301);

        $url = URL::buildURL($link, URLART_SEITE);
        header('Location: ' . $url, true, $link->getRedirectCode());
        exit();
    }
} catch (\Exception $exception) {
    $smarty->assign('exception', $exception->getMessage());
}
