<?php

namespace PunchCommerce;

use JTL\Helpers\Request;
use JTL\Plugin\Data\Config;
use PunchCommerce\Components\AuthenticationService;
use PunchCommerce\Components\Requests\AuthenticationRequest;

class AuthenticatePunchCommerceRequest
{
    private AuthenticationService $authenticationService;

    public function __construct()
    {
        $this->authenticationService = new AuthenticationService();
    }

    public function __invoke(Config $config): ?bool
    {
        if (empty(Request::getVar('uID')) || empty(Request::getVar('sID'))) {
            return null;
        }

        $key = $config->getValue('punchcommerce_customer_key');

        $authenticationRequest = new AuthenticationRequest(
            Request::getVar('uID'),
            Request::getVar('sID'),
            Request::getVar('type', 'oci')
        );

        return $this->authenticationService->authenticateShopUser($authenticationRequest, $key);
    }
}
