<?php
/*
 * PunchCommerce Shopware-Plugin
 *
 * @copyright: Copyright (c) netzdirektion | Gesellschaft für digitale Wertarbeit mbH, 2021
 *
 * @link: https://www.punchcommerce.de
 * @link: https://netzdirektion.de
 */

namespace PunchCommerce\Components\Requests;

/**
 * Class AuthenticationRequest
 * @package NetzdPunchCommerce\Components\Requests
 */
class AuthenticationRequest
{
    private string $uId;
    private string $sId;
    private string $type;

    /**
     * @param string $uId
     * @param string $sId
     * @param string $type
     */
    public function __construct(string $uId, string $sId, string $type = 'oci')
    {
        $this->uId  = $uId;
        $this->sId  = $sId;
        $this->type = $type;
    }

    /**
     * @return string
     */
    public function getUId(): string
    {
        return $this->uId;
    }

    /**
     * @return string
     */
    public function getSId(): string
    {
        return $this->sId;
    }

    /**
     * @return mixed
     */
    public function getType(): string
    {
        return $this->type;
    }
}
